package com.zhaohaoting.framework.ui.dialog.loading;

import android.app.Dialog;
import android.content.Context;
import android.graphics.drawable.ColorDrawable;
import android.view.Window;
import android.view.WindowManager;

import com.zhaohaoting.framework.R;


/**
 * Created by HuaQiang on 2015/11/27.
 * desc: 正在加载Dialog
 */
public class LoadingDialog extends Dialog {
    public LoadingDialog(Context context) {
        super(context);

        this.setCanceledOnTouchOutside(false);
        this.getWindow().requestFeature(Window.FEATURE_NO_TITLE);
        this.getWindow().setBackgroundDrawable(new ColorDrawable(android.graphics.Color.TRANSPARENT));
        this.getWindow().setFlags(0, WindowManager.LayoutParams.FLAG_DIM_BEHIND);

        setContentView(R.layout.loading_dialog_layout);
    }
}
